.footer-area {
    padding-top: 100px;
    position: relative;
    z-index: 1;
    background-color: #191919;
}
.single-footer-widget {
    margin-bottom: 30px;

    .logo {
        margin-bottom: 20px;
        font-size: 15px;
        display: inline-block;
    }
    .social-link {
        padding-left: 0;
        list-style-type: none;
        margin: {
            bottom: 0;
            top: 20px;
        };
        li {
            display: inline-block;
            margin-right: 9px;

            &:last-child {
                margin-right: 0;
            }
            a {
                width: 32px;
                height: 32px;
                text-align: center;
                color: var(--whiteColor);
                background-color: #1e1d2f;
                font-size: 18px;
                position: relative;
                border-radius: 2px;

                i {
                    position: absolute;
                    left: 0;
                    top: 50%;
                    right: 0;
                    transform: translateY(-48%);
                }
                &:hover {
                    background-color: var(--mainColor);
                    color: var(--whiteColor);
                }
            }
        }
    }
    h3 {
        margin-bottom: 25px;
        font-size: 25px;
        color: var(--whiteColor);
    }
    p {
        color: #ededed;
    }
    .footer-links-list {
        padding-left: 0;
        margin-bottom: 0;
        list-style-type: none;

        li {
            margin-bottom: 12px;
            color: #ededed;
            font-weight: 600;

            a {
                color: #ededed;
                display: inline-block;
                
                &:hover {
                    color: var(--mainColor);
                }
            }
            &:last-child {
                margin-bottom: 0;
            }
        }
    }
    .footer-contact-info {
        padding-left: 0;
        margin-bottom: 0;
        list-style-type: none;

        li {
            margin-bottom: 13px;
            color: #ededed;
            position: relative;
            padding-left: 23px;
            font-weight: 600;

            a {
                color: #ededed;
                display: inline-block;
                
                &:hover {
                    color: var(--mainColor);
                }
            }
            &:last-child {
                margin-bottom: 0;
            }
            i {
                position: absolute;
                left: 0;
                color: var(--mainColor);
                top: 4px;

                &.bxs-inbox {
                    top: 3px;
                }
            }
        }
    }
}
.footer-bottom-area {
    margin-top: 70px;
    border-top: 1px solid #181726;
    padding: {
        top: 25px;
        bottom: 25px;
    };
    p {
        color: #ededed;

        i {
            position: relative;
            top: 1.4px;
        }
        a {
            color: var(--mainColor);
            font-weight: 700;

            &:hover {
                color: var(--whiteColor);
            }
        }
        strong {
            color: var(--whiteColor);
        }
    }
    ul {
        text-align: right;
        padding-left: 0;
        margin-bottom: 0;
        list-style-type: none;

        li {
            color: #ededed;
            position: relative;
            display: inline-block;
            margin-right: 24px;

            &:last-child {
                margin-right: 0;

                &::before {
                    display: none;
                }
            }
            &::before {
                content: '';
                position: absolute;
                right: -12px;
                top: 5.2px;
                width: 1px;
                height: 14px;
                background-color: #ededed;
            }
            a {
                display: block;
                color: #ededed;

                &:hover {
                    color: var(--mainColor);
                }
            }
        }
    }
}
.go-top {
    position: fixed;
    cursor: pointer;
    bottom: 20px;
    right: 20px;
    background-color: var(--mainColor);
    color: var(--whiteColor);
    z-index: 4;
    width: 43px;
    text-align: center;
    height: 45px;
    opacity: 0;
    visibility: hidden;
    font-size: 27px;
    transition: var(--transition);
    box-shadow: 0px 3px 10px rgba(0, 0, 0, 0.1);

    i {
        position: absolute;
        right: 0;
        left: 0;
        top: 50%;
        transform: translateY(-50%);
        text-align: center;
        margin: {
            left: auto;
            right: auto;
        };
    }
    &.active {
        opacity: 1;
        visibility: visible;
        bottom: 20px;
    }
    &:hover {
        background-color: var(--blackColor);
        color: var(--whiteColor);
    }
}

@media only screen and (max-width: 767px) {

    .footer-area {
        padding-top: 60px;
    }
    .single-footer-widget {
        &.pl-5, &.px-5 {
            padding-left: 0 !important;
        }
        &.pl-2, &.px-2 {
            padding-left: 0 !important;
        }
        h3 {
            margin-bottom: 20px;
            font-size: 19px;
        }
    }
    .footer-bottom-area {
        margin-top: 30px;
        text-align: center;

        ul {
            text-align: center;
            margin-top: 15px;

            li {
                &::before {
                    height: 12px;
                }
            }
        }
    }

    .go-top {
        width: 33px;
        height: 35px;
        font-size: 22px;
    }

}
@media only screen and (min-width: 768px) and (max-width: 991px) {

    .footer-area {
        padding-top: 90px;
    }
    .single-footer-widget {
        h3 {
            font-size: 22px;
        }
    }
    .footer-bottom-area {
        margin-top: 60px;
    }
    
}
@media only screen and (min-width: 992px) and (max-width: 1199px) {

    .single-footer-widget {
        h3 {
            font-size: 23px;
        }
    }

}